> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/ko/data-onboarding/supported-logs/fastly.md).

# Fastly 로그

## 개요

Panther는 Fastly 로그를 일반적인 [데이터 전송](/ko/data-onboarding/data-transports.md) 옵션: Amazon Web Services(AWS) S3 및 SQS.

## Fastly 로그를 Panther에 온보딩하는 방법

이 로그를 Panther에 연결하려면:

1. Panther 콘솔의 왼쪽 탐색 메뉴에서 다음을 클릭하세요 **설정 > 로그 소스**.
2. 다음을 클릭합니다: **새로 만들기**.
3. "Fastly"를 검색한 다음 해당 타일을 클릭하세요.
4. Panther 콘솔에서 데이터 전송을 설정하세요.
   * 사용할 데이터 전송 옵션을 구성하려면 Panther의 문서를 따르세요:
     * [AWS S3 버킷](/ko/data-onboarding/data-transports/aws/s3.md)
     * [AWS SQS](/ko/data-onboarding/data-transports/aws/sqs.md)
5. Fastly가 데이터 전송 소스로 로그를 푸시하도록 구성하세요.
   * 선택한 데이터 전송 소스로 로그를 푸시하는 방법은 Fastly 문서를 참조하세요.

## 지원되는 로그 유형

### Fastly.Access

Panther가 로그를 파싱할 수 있도록, Fastly 서비스에 대한 S3 로깅 엔드포인트를 만들 때 "로그 라인 형식" 필드에서 "빈 값"을 선택하세요.

자세한 내용은 다음을 참조하세요: [Fastly의 일반 로그 형식 문서.](https://docs.fastly.com/en/guides/useful-log-formats#common-log-format-clf)

```yaml
schema: Fastly.Access
parser:
    fastmatch:
        match:
            - '%{remote_host_ip_address} %{client_identity_rfc_1413} %{request_user} [%{request_time}] "%{request_method} %{request_uri} %{request_protocol}" %{response_status} %{response_size}'
        emptyValues:
            - '-'
        trimSpace: true
description: |-
    Common Log Format의 Fastly 로그입니다. Panther가 로그를 파싱할 수 있도록, 반드시
    Fastly 서비스에 대한 S3 로깅 엔드포인트를 만들 때 "로그 라인 형식" 필드에서 "빈 값"을 선택하세요.
referenceURL: https://docs.fastly.com/en/guides/useful-log-formats#common-log-format-clf
fields:
    - name: remote_host_ip_address
      설명: 이는 서버에 요청을 보낸 클라이언트(원격 호스트)의 IP 주소입니다. HostnameLookups가 On으로 설정되어 있으면 서버는 호스트명을 확인해 IP 주소 대신 이를 기록하려고 시도합니다.
      type: string
      indicators:
        - 호스트명
    - name: client_identity_rfc_1413
      설명: 클라이언트 컴퓨터의 identd가 결정한 RFC 1413 클라이언트 식별 정보입니다.
      type: string
    - name: request_user
      설명: HTTP 인증에 의해 결정되는, 문서를 요청한 사람의 사용자 ID입니다.
      type: string
      indicators:
        - 사용자 이름
    - name: request_time
      설명: 요청이 수신된 시간입니다.
      type: timestamp
      timeFormats:
        - '%d/%b/%Y:%H:%M:%S %z'
      isEventTime: true
    - name: request_method
      설명: HTTP 요청 메서드
      type: string
    - name: request_uri
      설명: HTTP 요청 URI
      type: string
    - name: request_protocol
      설명: HTTP 요청 프로토콜
      type: string
    - name: response_status
      설명: 응답의 HTTP 상태
      type: smallint
    - name: response_size
      설명: HTTP 응답의 크기(바이트 단위)
      type: bigint
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panther.com/ko/data-onboarding/supported-logs/fastly.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
